# Command: Rank

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    Rank - Return the MPI rank of the process.

Synopsis:

    Rank -> int

Description:

      Returns the rank of the MPI process (MPI_Comm_rank) executing the
      command. This function is mainly meant for logging and debugging
      purposes. It is highly discouraged to use this function to write
      rank-dependent code in a simulation script as this can break NEST
      in funny ways, of which dead-locks are the nicest.

Availability:

    NEST 2.0

Author:

    Jochen Martin Eppler

FirstVersion:

    January 2006

SeeAlso:

- NumProcesses
- SyncProcesses
- ProcessorName

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative